<?php
    function getBlogURL_V2(){
        global $blog, $service;

        switch($service['type']){
            case 'domain':
                if($blog['defaultDomain']&&$blog['secondaryDomain'])
                    return ('http://'.$blog['secondaryDomain'].(isset($service['port'])?':'.$service['port']:'').$service['path']);
                else
                    return ('http://'.$blog['name'].'.'.$service['domain'].(isset($service['port'])?':'.$service['port']:'').$service['path']);
            case 'path':
                return ('http://'.$service['domain'].(isset($service['port'])?':'.$service['port']:'').$service['path'].'/'.$blog['name']);
            case 'single':
            default:
                return ('http://'.$service['domain'].(isset($service['port'])?':'.$service['port']:'').$service['path']);
        }
    }

    function configSoribadaWidget($plugin) {
        $blogURL = getBlogURL_v2();
?>
        <config xml:lang="ko" dataValHandler="" manifestHandler="">
            <window width="500" height="760" />
            <fieldset legend="뮤직비디오를 선택해주세요" >
                <field title="자동재생여부 :" name="isAuto" type="radio">
                    <op value="N" checked="checked">네</op>
                    <op value="Y" >아니오</op>
                </field>
                <field title="뮤직비디오 아이디 :" name="movieID" type="text">
                    <caption>뮤직비디오 선택 시 자동으로 채워지니, 건드리지 마세요~</caption>
                </field>
                <field title="음악 아이디 :" name="tID" type="text">
                    <caption>
                        <![CDATA[
                            뮤직비디오 선택 시 자동으로 채워지니, 건드리지 마세요~<br />
                            채워진 것 확인 후 저장해주세요!<br />
                            <img id="imgLoader2" src="<?php echo $blogURL ?>/plugins/Soribada_Widget/images/ajax-loader.gif" />
                        ]]>
                    </caption>
                </field>
                <field title="뮤직비디오 제목 :" name="muvieTitle" type="text">
                    <caption>뮤직비디오 선택 시 자동으로 채워지니, 건드리지 마세요~</caption>
                </field>
                <field title="뮤직비디오 리스트" name="temp" type="checkbox">
                    <caption>
                        <![CDATA[
                            <b>아래 뮤직비디오 중 원하는 곡을 선택하세요.</b><br />
                            <div id="divList"></div>
                            <input type="button" id="prev" name="prev" value="&lt;이전"/>
                            <input type="button" id="next" name="next" value="다음&gt;"/><br />
                            <img id="imgLoader1" src="<?php echo $blogURL ?>/plugins/Soribada_Widget/images/ajax-loader.gif" />
                            <script src="http://www.prototypejs.org/assets/2008/9/29/prototype-1.6.0.3.js" type="text/javascript"></script>
                            <script src="<?php echo $blogURL ?>/plugins/Soribada_Widget/myscript.js" type="text/javascript"></script>
                            <script>
                                init();
                                searchSoribada(1);
                            </script>
                        ]]>
                    </caption>
                </field>
            </fieldset>
        </config>
<?php
        return ob_get_clean();
    }

    function sidebarSoribadaWidget($parameters)
    {
        global $configVal;
        requireComponent('Textcube.Function.Setting');
        $data = setting::fetchConfigVal($configVal);

        // default는 휘성의 Insomnia-_-;
        $movieID = "10092285620090217193648";
        $tID = "KD0001433";
        $muvieTitle = "Insomnia (불면증)-휘성";
        $isAuto = "Y";

        if (!is_null($data)) {
            $movieID = $data["movieID"];
            $tID = $data["tID"];
            $muvieTitle = $data["muvieTitle"];
            $isAuto = $data["isAuto"];
        }
        ob_start();
?>
        <center><div style='width:180px;height:136px;'><object id='soriWidget' classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' width='180' height='136' codebase='http://fpdownload.macromedia.com/get/flashplayer/current/swflash.cab#version=9,0,124,0' style='z-index:999;'><param name='movie' value='http://podcast.soribada.com/flex/wiget.swf?movieID=<?php echo $movieID; ?>&p=<?php echo $isAuto; ?>' /><param name='quality' value='high' /><param name='bgcolor' value='#ffffff' /><param name='wmode' value='transparent' /><param name='allowFullScreen' value='true' /><param name='allowScriptAccess' value='always' /><embed id='soriWidget' src='http://podcast.soribada.com/flex/wiget.swf?movieID=<?php echo $movieID; ?>&p=<?php echo $isAuto; ?>' bgcolor='#ffffff' width='180' height='136' align='middle' allowFullScreen='true' allowScriptAccess='always' quality='high' type='application/x-shockwave-flash' pluginspage='http://www.adobe.com/go/getflashplayer' wmode='transparent' style='z-index:999;'></embed></object><div style='width:100%;text-align:center;margin-top:3px;'><a href='http://www.soribada.com/Music/MuAlbumTotal.php?TID=<?php echo $tID; ?>' target='_blank' style='font-size:11px;color:#A2A2A2'><?php echo $muvieTitle; ?></a></div></div></center>
<?php
        return ob_get_clean();
    }
?>
